javax.swing.plaf.metal

## Class MetalComboBoxIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalComboBoxIcon

- All Implemented Interfaces:
    Serializable, Icon

      public class MetalComboBoxIcon
      extends Object
      implements Icon, Serializable

  This utility class draws the horizontal bars which indicate a MetalComboBox
  See Also:
    `MetalComboBoxUI`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetalComboBoxIcon()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIconHeight()` Created a stub to satisfy the interface.
    `int` | `getIconWidth()` Created a stub to satisfy the interface.
    `void` | `paintIcon(Component c, Graphics g, int x, int y)` Paints the horizontal bars for the

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalComboBoxIcon

          public MetalComboBoxIcon()

  - ### Method Detail

    - #### paintIcon

          public void paintIcon(Component c,
                                Graphics g,
                                int x,
                                int y)

      Paints the horizontal bars for the
      Specified by:
        `paintIcon` in interface `Icon`

    - #### getIconWidth

          public int getIconWidth()

      Created a stub to satisfy the interface.
      Specified by:
        `getIconWidth` in interface `Icon`
      Returns:
        an int specifying the fixed width of the icon.

    - #### getIconHeight

          public int getIconHeight()

      Created a stub to satisfy the interface.
      Specified by:
        `getIconHeight` in interface `Icon`
      Returns:
        an int specifying the fixed height of the icon.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.